#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
from com.ibm.rfidic.messages.tools import RFIDICGetMessage
import AdminUtilities

def addUG(p, ug, appName, role, type):
    innerArg=[]
    if( type=='group' ):
        msg=RFIDICGetMessage.getMessage('RFID07166I', ug, role)
        print msg.getMessage()
        innerArg=[ [role, 'No', 'No', '', ug] ]
    else:
        msg=RFIDICGetMessage.getMessage('RFID07175I', ug, role)
        print msg.getMessage()
        innerArg=[ [role, 'No', 'No', ug, ''] ]

    args=[ '-MapRolesToUsers', innerArg ]

    AdminApp.edit( appName, args )
    

def run(p, ug, appName, role, type):
    addUG(p, ug, appName, role, type)

#argv[0]=properties file argv[1]=ts jython path argv[2]==user or group name
#argv[3]=app name argv[4]=role argv[5]='user' or 'group'
if( __name__=='__main__'):
    sys.path.append(sys.argv[1])
    import rfidicCfgUtils
    properties=rfidicCfgUtils.getProperties(sys.argv[0])
    type='user'
    if( len(sys.argv) > 5 ):
        type=sys.argv[5]
    run(properties, sys.argv[2], sys.argv[3], sys.argv[4], type)
    AdminConfig.save()
