#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
import sys

def updatePath(p):
    sys.path.append(p)

updatePath(sys.argv[1])

#Now that the rfidic jython directory is on the path, import our modules
import rfidicCfgUtils

properties = rfidicCfgUtils.getProperties(sys.argv[0])
servers = rfidicCfgUtils.findServers(properties)
serverEntryID = AdminConfig.getid('/ServerEntry:'+servers[0][1]+'/')
serverEntry = AdminConfig.list('ServerEntry', serverEntryID)
sepString = AdminConfig.showAttribute(serverEntry, "specialEndpoints")
sepList = sepString[1:len(sepString)-1].split(" ")

endPointName = "WC_defaulthost"

if (AdminTask.isGlobalSecurityEnabled()=="true"):
    endPointName = "WC_defaulthost_secure"

for specialEndPoint in sepList:
    name = AdminConfig.showAttribute(specialEndPoint, "endPointName")
    if name == endPointName:
        ePoint = AdminConfig.showAttribute(specialEndPoint, "endPoint")
        port = AdminConfig.showAttribute(ePoint, "port")
        print "port: "+port
        break
