#############################################################################
## Licensed Materials - Property of IBM
## "Restricted Materials of IBM"
## 5724-O98
## (c)  Copyright IBM Corp. 2011 All Rights Reserved.
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with
## IBM Corp.
#############################################################################
import sys
from com.ibm.rfidic.messages.tools import RFIDICGetMessage

def run(p, servers, devmode):
    if(devmode==None or devmode==''):
        devmode='false'
    for server in servers:
        idstr='/Cell:'+p.get("CELLNAME")+'/Node:'+server[0]+'/Server:'+server[1]+'/'
        servid=AdminConfig.getid(idstr)
        AdminConfig.modify(servid, [['developmentMode', devmode]])
    AdminConfig.save()
    if( p.get("ISCLUSTER")=='true' ):
        rfidicCfgUtils.stopServers(servers)
        
#argv[0]=properties file argv[1]=ts jython path argv[2]==devmode
if( __name__=='__main__'):
    sys.path.append(sys.argv[1])
    import rfidicCfgUtils
    properties=rfidicCfgUtils.getProperties(sys.argv[0])
    servers=rfidicCfgUtils.findServers(properties)
    run(properties, servers, sys.argv[2])

